gnutls_x509_crt_set_basic_constraints(3)

NAME
gnutls_x509_crt_set_basic_constraints - Set the basicConstraints extension

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_basic_constraints(gnutls_x509_crt_t crt, unsigned int ca, int pathLenConstraint);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t structure

unsigned int ca
    true(1) or false(0). Depending on the Certificate authority status.

int pathLenConstraint
    non-negative values indicate maximum length of path, and negative values indicate that the pathLenConstraints field should not be present.

DESCRIPTION
This function will set the basicConstraints certificate extension.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.